var jpush_Getid=false;
var jpush_Connect=false;
var jpush_SetNameTag=false;

var uniPush=new function(){
    
    this.userName="";
    this.isConnect=false;
    this.init=function(){
        jpush_init();
    }
    this.Connect=function(con){
        if (con=='0'){
            this.isConnect=true;
        }else{
            this.isConnect=false;
        }
        if (this.onConnect) 
            this.onConnect(con);
    }
    this.setUserName=function(name){
        this.userName=name;
        setAlias(name);
    }

}
function jpush_init(){
    
    if (typeof uexJPush == 'undefined') return;
    uexJPush.onReceiveMessage=onReceiveMessage;
    uexJPush.onReceiveNotification=onReceiveNotification;
    uexJPush.onReceiveNotificationOpen=onReceiveNotificationOpen;
    //uexJPush.cbSetAlias = cbSetAlias;
    uexJPush.cbSetAliasAndTags=cbSetAliasAndTags;
    //uexJPush.cbSetTags=cbSetTags;
    uexJPush.onReceiveConnectionChange=onReceiveConnectionChange;

    if(uexWidgetOne.getPlatform()=='0'){
        uexJPush.disableLocalNotificationAlertView(1);
    }
  
    //window.setTimeout(function(){getRegistrationID();},1000);
}
function stopPush(){
    var params = {
        
    };
    var data = JSON.stringify(params);
    uexJPush.stopPush(data);
}

function resumePush(){
    var params = {
        
    };
    var data = JSON.stringify(params);
    uexJPush.resumePush(data);
}

function isPushStopped(){
    var params = {
        
    };
    var data = JSON.stringify(params);
    uexJPush.isPushStopped(data);
}

function setAlias(name){
    if (typeof uexJPush == 'undefined') return;   
    if (name=="") return;
    var params = {alias:name};
    var data = JSON.stringify(params);
    uexJPush.setAlias(data);
    setAliasAndTags(name);
}
    
function setTags(tag){
    var tags=new Array(tag);
    var params = {
        tags:tags
    };
    var data = JSON.stringify(params);
    uexJPush.setTags(data);
}
    
function setAliasAndTags(name){
    var tags=new Array(name);
    var params = {
        alias:name,
        tags:tags
    };
    var data = JSON.stringify(params);
    uexJPush.setAliasAndTags(data);
}
   
function getRegistrationID(){
    var params = {
        
    };
    var data = JSON.stringify(params);
    uexJPush.getRegistrationID(data);
}

function reportNotificationOpened(){
    var params = {
        msgId:1222
    };
    var data = JSON.stringify(params);
    uexJPush.reportNotificationOpened(data);
}
    
function clearAllNotifications(){
    var params = {
        
    };
    var data = JSON.stringify(params);
    uexJPush.clearAllNotifications(data);
}
    
function clearNotificationById(){
    var id = document.getElementById("clearNotificationById").value;
    var params = {
        notificationId:id
    };
    var data = JSON.stringify(params);
    uexJPush.clearNotificationById(data);
}

function setPushTime(){
    var weekDays=new Array("0","1","2","3","4");
    var params = {
        weekDays:weekDays,
        startHour:0,
        endHour:18
    };
    var data = JSON.stringify(params);
    uexJPush.setPushTime(data);
}

function setSilenceTime(){
    var params = {
        startHour:0,
        startMinute:1,
        endHour:13,
        endMinute:0
    };
    var data = JSON.stringify(params);
    uexJPush.setSilenceTime(data);
}

function setLatestNotificationNumber(){
    var params = {
        maxNum:4
    };
    var data = JSON.stringify(params);
    uexJPush.setLatestNotificationNumber(data);
}

function getConnectionState(){
    var params = {
        
    };
    var data = JSON.stringify(params);
    uexJPush.getConnectionState(data);
}

function addLocalNotification(){
    var params = {
        builderId:0,
        title:"这是title",
        content:"这是内容",
        extras:{"key":"value"},
        notificationId:3,
        broadCastTime:10000
    };
    var data = JSON.stringify(params);
    uexJPush.addLocalNotification(data);
}

function removeLocalNotification(){
    var notificationId=3;
    var params = {
        notificationId:notificationId
    };
    var data = JSON.stringify(params);
    uexJPush.removeLocalNotification(data);
}

function clearLocalNotifications(){
    var params = {
        
    };
    var data = JSON.stringify(params);
    uexJPush.clearLocalNotifications(data);
}

function onReceiveMessage(info){

    var dt=JSON.parse(info);
    var message=dt.message;
    var ext=dt.extras;
    var id=ext.projectid;
    var key=ext.sharekey;
    if(uniPush.onMessageGet) 
        uniPush.onMessageGet(message,id,key);
}

function onReceiveNotification(info)
{
    var dt=JSON.parse(info);
    var content=dt.content;
    var ext=dt.extras;
    var isAPNs=dt.isAPNs;
    var notificationId=dt.notificationId;
    var id=ext.projectid;
    var key=ext.sharekey;

}

function onReceiveNotificationOpen(info){

    var dt=JSON.parse(info);
    var content=dt.content;
    var ext=dt.extras;
    var isAPNs=dt.isAPNs;
    var notificationId=dt.notificationId;
 
    var id=ext.projectid;
    var key=ext.sharekey;
    var name='';
    uniPush.onMessageOpen(content,id,key);

}
function cbSetAliasAndTags(info){

    var data=JSON.parse(info);
    if (data.result!='0'){
        //没连上就重新设置
        setAliasAndTags(uniPush.userName);
        
    }else{
        jpush_SetNameTag=true;
        if (jpush_Connect){
            uniPush.Connect('0');
        }
    }
}
function cbSetAlias(info){
    //alert(info);
}

function onReceiveConnectionChange(info){
    var data=JSON.parse(info);
    var con=data.connect;
    if (con=='0'){
        jpush_Connect=true;
        setAlias(uniPush.userName);
    }else{
        jpush_Connect=false;
    }
    uniPush.Connect('1');
}
function cbSetTags(info){
    
    var data=JSON.parse(info);
    if (data.result!='0'){
        //没连上就重新设置
        setAlias(uniPush.userName);
        
    }else{
        jpush_SetNameTag=true;
        if (jpush_Connect){
            uniPush.Connect('0');
        }
        //alert('setTags:'+info);
    }
};
/*
function cbGetRegistrationID(info){
    var data=JSON.parse(info);
    if (data.registrationID==""){
        window.setTimeout(function(){
            getRegistrationID();
        },3000);
    }else{
        jpush_Getid=true;
    }
}

function onReceiveRegistration(info){
    var data=eval(info);
    var title=data.title;
    //alert('onReceiveRegistration'+info);
}

*/